Update a webhook subscription
curl --request POST \
--url https://{notifuseDomain}/api/webhookSubscriptions.update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6",
"name": "Production Webhook Updated",
"url": "https://api.example.com/webhooks/notifuse/v2",
"event_types": [
"contact.created",
"contact.updated",
"contact.deleted"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
},
"enabled": true
}
'import requests
url = "https://{notifuseDomain}/api/webhookSubscriptions.update"
payload = {
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6",
"name": "Production Webhook Updated",
"url": "https://api.example.com/webhooks/notifuse/v2",
"event_types": ["contact.created", "contact.updated", "contact.deleted"],
"custom_event_filters": {
"goal_types": ["purchase", "subscription"],
"event_names": ["orders/fulfilled", "payment.succeeded"]
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'ws_1234567890',
id: 'whsub_a1b2c3d4e5f6',
name: 'Production Webhook Updated',
url: 'https://api.example.com/webhooks/notifuse/v2',
event_types: ['contact.created', 'contact.updated', 'contact.deleted'],
custom_event_filters: {
goal_types: ['purchase', 'subscription'],
event_names: ['orders/fulfilled', 'payment.succeeded']
},
enabled: true
})
};
fetch('https://{notifuseDomain}/api/webhookSubscriptions.update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": "whsub_a1b2c3d4e5f6",
"name": "Production Webhook",
"url": "https://api.example.com/webhooks/notifuse",
"secret": "whsec_a1b2c3d4e5f6g7h8i9j0",
"settings": {
"event_types": [
"contact.created",
"contact.updated",
"email.sent"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
}
},
"event_types": [
"contact.created",
"contact.updated",
"email.sent"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
},
"enabled": true,
"last_delivery_at": "2024-01-15T10:30:00Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}Webhooks
Update a webhook subscription
Updates an existing webhook subscription with new configuration.
POST
/
api
/
webhookSubscriptions.update
Update a webhook subscription
Authorizations
API token for authentication
Body
application/json
The ID of the workspace
Example:
"ws_1234567890"
The ID of the subscription to update
Example:
"whsub_a1b2c3d4e5f6"
Updated name
Example:
"Production Webhook Updated"
Updated URL
Example:
"https://api.example.com/webhooks/notifuse/v2"
Updated list of event types
Example:
[
"contact.created",
"contact.updated",
"contact.deleted"
]
Optional filters for custom_event.* event types
Show child attributes
Show child attributes
Whether the subscription is enabled
Example:
true
Response
Webhook subscription updated successfully
A webhook subscription that receives HTTP callbacks when events occur
Show child attributes
Show child attributes
⌘I
